# Ipopt::ExactHessianUpdater Class Reference

Implementation of the HessianUpdater for the use of exact second derivatives. More...

`#include <IpExactHessianUpdater.hpp>`

Inheritance diagram for Ipopt::ExactHessianUpdater:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject
virtual void | UpdateHessian ()
| Update the Hessian based on the current information in IpData.
Constructors/Destructors
| ExactHessianUpdater ()
| Default Constructor.
virtual | ~ExactHessianUpdater ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| ExactHessianUpdater (const ExactHessianUpdater &)
| Copy Constructor.
void | operator= (const ExactHessianUpdater &)
| Overloaded Equals Operator.

## Detailed Description

Implementation of the HessianUpdater for the use of exact second derivatives.

Definition at line 20 of file IpExactHessianUpdater.hpp.

## Constructor & Destructor Documentation

Ipopt::ExactHessianUpdater::ExactHessianUpdater | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 26 of file IpExactHessianUpdater.hpp.

virtual Ipopt::ExactHessianUpdater::~ExactHessianUpdater | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 30 of file IpExactHessianUpdater.hpp.

Ipopt::ExactHessianUpdater::ExactHessianUpdater | ( | const ExactHessianUpdater & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::ExactHessianUpdater::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::HessianUpdater.

virtual void Ipopt::ExactHessianUpdater::UpdateHessian | ( |  | ) | `[virtual]`

Update the Hessian based on the current information in IpData.

Implements Ipopt::HessianUpdater.

void Ipopt::ExactHessianUpdater::operator= | ( | const ExactHessianUpdater & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::HessianUpdater.

The documentation for this class was generated from the following file:

- src/Algorithm/IpExactHessianUpdater.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines